---

# Dexes DCAT Dataset resource
dexes_dcat.resource.add:
  path: '/dataset/{dataset}/distribution/add'
  defaults:
    _form: '\Drupal\dexes_dcat\Form\Resource\AddResourceForm'
    _title: 'Add distribution'
  options:
    parameters:
      dataset:
        type: dataset
  requirements:
    _access_manage_datasets: 'TRUE'

dexes_dcat.resource.edit:
  path: '/dataset/{dataset}/distribution/{resource_id}/edit'
  defaults:
    _form: '\Drupal\dexes_dcat\Form\Resource\EditResourceForm'
    _title: 'Edit distribution'
  options:
    parameters:
      dataset:
        type: dataset
      resource_id:
        type: string
  requirements:
    _access_manage_datasets: 'TRUE'

dexes_dcat.resource.delete:
  path: '/dataset/{dataset}/distribution/{resource_id}/delete'
  defaults:
    _form: '\Drupal\dexes_dcat\Form\Resource\DeleteResourceForm'
    _title: 'Delete distribution'
  options:
    parameters:
      dataset:
        type: dataset
      resource_id:
        type: string
  requirements:
    _access_manage_datasets: 'TRUE'

# Dexes DCAT Dataset
dexes_dcat.dataset.edit:
  path: '/dataset/{dataset}/edit'
  defaults:
    _form: '\Drupal\dexes_dcat\Form\Dataset\EditDatasetForm'
    _title: 'Edit dataset'
  options:
    parameters:
      dataset:
        type: dataset
  requirements:
    _access_manage_datasets: 'TRUE'

dexes_dcat.dataset.delete:
  path: '/dataset/{dataset}/delete'
  defaults:
    _form: 'Drupal\dexes_dcat\Form\Dataset\DeleteDatasetForm'
    _title: 'Delete dataset'
  options:
    parameters:
      dataset:
        type: dataset
  requirements:
    _access_manage_datasets: 'TRUE'

dexes_dcat.dataset.add:
  path: '/dataset/add'
  defaults:
    _form: 'Drupal\dexes_dcat\Form\Dataset\AddDatasetForm'
    _title: 'Add dataset'
  requirements:
    _access_create_datasets: 'TRUE'

dexes_dcat.dataset.view:
  path: '/dataset/{dataset}'
  defaults:
    _controller: '\Drupal\dexes_dcat\Controller\ViewDatasetController::viewDataset'
    _title_callback: '\Drupal\dexes_dcat\Controller\ViewDatasetController::getTitle'
  options:
    parameters:
      dataset:
        type: dataset
  requirements:
    _permission: 'access content'

# Dexes DCAT DataService
dexes_dcat.dataservice.edit:
  path: '/dataservice/{dataservice}/edit'
  defaults:
    _form: '\Drupal\dexes_dcat\Form\Dataservice\EditDataServiceForm'
    _title: 'Edit dataservice'
  options:
    parameters:
      dataservice:
        type: dataservice
  requirements:
    _access_manage_dataservices: 'TRUE'

dexes_dcat.dataservice.delete:
  path: '/dataservice/{dataservice}/delete'
  defaults:
    _form: 'Drupal\dexes_dcat\Form\Dataservice\DeleteDataServiceForm'
    _title: 'Delete dataservice'
  options:
    parameters:
      dataservice:
        type: dataservice
  requirements:
    _access_manage_dataservices: 'TRUE'

dexes_dcat.dataservice.add:
  path: '/dataservice/add'
  defaults:
    _form: 'Drupal\dexes_dcat\Form\Dataservice\AddDataServiceForm'
    _title: 'Add dataservice'
  requirements:
    _access_create_dataservices: 'TRUE'

dexes_dcat.dataservice.view:
  path: '/dataservice/{dataservice}'
  defaults:
    _controller: '\Drupal\dexes_dcat\Controller\ViewDataServiceController::viewDataService'
    _title_callback: '\Drupal\dexes_dcat\Controller\ViewDataServiceController::getTitle'
  options:
    parameters:
      dataservice:
        type: dataservice
  requirements:
    _permission: 'access content'

# Dexes Search
dexes_search.search.dataset_default:
  path: '/search/{scope}'
  defaults:
    _controller: '\Drupal\dexes_dcat\Controller\SearchDatasetController::search'
    _title_callback: '\Drupal\dexes_dcat\Controller\SearchDatasetController::getTitle'
    dataspace: null
    query: '-'
    filters: '-'
    page_number: 1
  options:
    parameters:
      query:
        type: string
      filters:
        type: string
      page_number:
        type: number
  requirements:
    _permission: 'access content'
    scope: 'dataset'
    page_number: '[0-9]+'

dexes_search.search.dataset:
  path: '/search/{scope}/query/{query}/filters/{filters}/page/{page_number}'
  defaults:
    _controller: '\Drupal\dexes_dcat\Controller\SearchDatasetController::search'
    _title_callback: '\Drupal\dexes_dcat\Controller\SearchDatasetController::getTitle'
    dataspace: null
  options:
    parameters:
      query:
        type: string
      filters:
        type: string
      page_number:
        type: number
  requirements:
    _permission: 'access content'
    scope: 'dataset'
    page_number: '[0-9]+'


dexes_search.search.dataservice_default:
  path: '/search/{scope}'
  defaults:
    _controller: '\Drupal\dexes_dcat\Controller\SearchDataServiceController::search'
    _title_callback: '\Drupal\dexes_dcat\Controller\SearchDataServiceController::getTitle'
    dataspace: null
    query: '-'
    filters: '-'
    page_number: 1
  options:
    parameters:
      query:
        type: string
      filters:
        type: string
      page_number:
        type: number
  requirements:
    _permission: 'access content'
    scope: 'dataservice'
    page_number: '[0-9]+'

dexes_search.search.dataservice:
  path: '/search/{scope}/query/{query}/filters/{filters}/page/{page_number}'
  defaults:
    _controller: '\Drupal\dexes_dcat\Controller\SearchDataServiceController::search'
    _title_callback: '\Drupal\dexes_dcat\Controller\SearchDataServiceController::getTitle'
    dataspace: null
  options:
    parameters:
      query:
        type: string
      filters:
        type: string
      page_number:
        type: number
  requirements:
    _permission: 'access content'
    scope: 'dataservice'
    page_number: '[0-9]+'

dexes_search.search.datasets:
  path: '/search/datasets'
  defaults:
    _controller: '\Drupal\dexes_dcat\Controller\SearchDatasetController::search'
    _title_callback: '\Drupal\dexes_dcat\Controller\SearchDatasetController::getTitle'
    dataspace: null
    query: '-'
    filters: ''
    scope: 'dataset'
    page_number: '1'
  requirements:
    _permission: 'access content'
    page_number: '[0-9]+'

dexes_search.search.dataservices:
  path: '/search/dataservices'
  defaults:
    _controller: '\Drupal\dexes_dcat\Controller\SearchDataServiceController::search'
    _title_callback: '\Drupal\dexes_dcat\Controller\SearchDataServiceController::getTitle'
    dataspace: null
    query: '-'
    filters: ''
    scope: 'dataservice'
    page_number: '1'
  requirements:
    _permission: 'access content'
    page_number: '[0-9]+'

# Suggesters
dexes_search.suggest.dataset:
  path: '/suggest/{scope}/query/{query}'
  defaults:
    _controller: '\Drupal\dexes_dcat\Controller\SuggestDatasetController::suggest'
    _format: json
    query: ''
    dataspace: null
  options:
    parameters:
      scope:
        type: string
      query:
        type: string
  requirements:
    _permission: 'access content'
    scope: 'dataset'

dexes_search.suggest.dataservice:
  path: '/suggest/{scope}/query/{query}'
  defaults:
    _controller: '\Drupal\dexes_dcat\Controller\SuggestDataServiceController::suggest'
    _format: json
    query: ''
    dataspace: null
  options:
    parameters:
      scope:
        type: string
      query:
        type: string
  requirements:
    _permission: 'access content'
    scope: 'dataservice'

dexes_search.dataspace.search.dataset:
  path: '/dataspace/{dataspace}/search/{scope}/query/{query}/filters/{filters}/page/{page_number}'
  defaults:
    _controller: '\Drupal\dexes_dcat\Controller\SearchDatasetController::search'
    _title_callback: '\Drupal\dexes_dcat\Controller\SearchDatasetController::getTitle'
  options:
    parameters:
      dataspace:
        type: dataspace
      query:
        type: string
      filters:
        type: string
      page_number:
        type: number
  requirements:
    _permission: 'access content'
    scope: 'dataset'
    page_number: '[0-9]+'

# Dexes DCAT Landing pages
dexes_dcat.search.datasets:
  path: '/datasets'
  defaults:
    _controller: '\Drupal\dexes_dcat\Controller\SearchDatasetController::search'
    _title_callback: '\Drupal\dexes_dcat\Controller\SearchDatasetController::getTitle'
    dataspace: null
    query: '-'
    filters: ''
    scope: 'dataset'
    page_number: '1'
  requirements:
    _permission: 'access content'
    page_number: '[0-9]+'

dexes_dcat.search.dataservices:
  path: '/dataservices'
  defaults:
    _controller: '\Drupal\dexes_dcat\Controller\SearchDataServiceController::search'
    _title_callback: '\Drupal\dexes_dcat\Controller\SearchDataServiceController::getTitle'
    dataspace: null
    query: '-'
    filters: ''
    scope: 'dataservice'
    page_number: '1'
  requirements:
    _permission: 'access content'
    page_number: '[0-9]+'
